package sikd.sikd5.sikd5bean.ws.ref;

import java.io.Serializable;
import java.util.Date;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author soraturaes
 */

@XmlRootElement
@XmlType(name = "versiAplikasiWS", propOrder = {
    "namaAplikasi",
    "versi",
    "tanggalCurrentServer",
    "tanggalReleaseAplikasi",
    "ket",
    "statusBerlaku",
    "filenya"
})
public class VersiAplikasi_WS implements Serializable {

    private String namaAplikasi;
    private String versi;
    private Date tanggalCurrentServer;
    private Date tanggalReleaseAplikasi;
    private String ket;
    private Boolean statusBerlaku;
    private byte[] filenya;

    public VersiAplikasi_WS() {
    }

    public VersiAplikasi_WS(String namaAplikasi, String versi, Date tanggalCurrentServer, Date tanggalReleaseAplikasi, String ket, Boolean statusBerlaku) {
        this.namaAplikasi = namaAplikasi;
        this.versi = versi;
        this.tanggalCurrentServer = tanggalCurrentServer;
        this.tanggalReleaseAplikasi = tanggalReleaseAplikasi;
        this.ket = ket;
        this.statusBerlaku = statusBerlaku;
    }

    public VersiAplikasi_WS(String namaAplikasi, String versi, Date tanggalCurrentServer, Date tanggalReleaseAplikasi, String ket, Boolean statusBerlaku, byte[] filenya) {
        this.namaAplikasi = namaAplikasi;
        this.versi = versi;
        this.tanggalCurrentServer = tanggalCurrentServer;
        this.tanggalReleaseAplikasi = tanggalReleaseAplikasi;
        this.ket = ket;
        this.statusBerlaku = statusBerlaku;
        this.filenya = filenya;
    }

    public String getNamaAplikasi() {
        return namaAplikasi;
    }

    public void setNamaAplikasi(String namaAplikasi) {
        this.namaAplikasi = namaAplikasi;
    }

    public String getVersi() {
        return versi;
    }

    public void setVersi(String versi) {
        this.versi = versi;
    }

    public Date getTanggalCurrentServer() {
        return tanggalCurrentServer;
    }

    public void setTanggalCurrentServer(Date tanggalCurrentServer) {
        this.tanggalCurrentServer = tanggalCurrentServer;
    }

    public Date getTanggalReleaseAplikasi() {
        return tanggalReleaseAplikasi;
    }

    public void setTanggalReleaseAplikasi(Date tanggalReleaseAplikasi) {
        this.tanggalReleaseAplikasi = tanggalReleaseAplikasi;
    }

    public String getKet() {
        return ket;
    }

    public void setKet(String ket) {
        this.ket = ket;
    }

    public Boolean getStatusBerlaku() {
        return statusBerlaku;
    }

    public void setStatusBerlaku(Boolean statusBerlaku) {
        this.statusBerlaku = statusBerlaku;
    }

    public byte[] getFilenya() {
        return filenya;
    }

    public void setFilenya(byte[] filenya) {
        this.filenya = filenya;
    }
    
}